LinuxQuestions.org
Visit Jeremy's Blog.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 10-31-2016, 09:07 AM   #1
intmail01
Member
 
Registered: May 2013
Posts: 91

Rep: Reputation: Disabled
Missing libfam.so


Hi,

I am using slackware 14.2, when launching a kde sesion, message appear that the libfam.so is missing. Could sone tell me in which package I can find it ?

Thanks
 
Old 10-31-2016, 09:13 AM   #2
e5150
Member
 
Registered: Oct 2005
Location: Sweden
Distribution: Slackware and Alpine
Posts: 132

Rep: Reputation: 100Reputation: 100
Code:
lars@русалка /opt/repos/slackware64-14.2/slackware64 $ bzgrep -e 'Package:|libfam\.so' MANIFEST.bz2 | grep -B1 libfam.so
||   Package:  ./l/gamin-0.1.10-x86_64-5.txz
-rwxr-xr-x root/root     31576 2012-09-23 13:03 usr/lib64/libfam.so.0.0.0
The MANIFEST.bz2 file in /slackware{,64} on mirrors contains a list of the content of all packages, and, libfam belongs to the gamin package.
 
2 members found this post helpful.
Old 10-31-2016, 09:15 AM   #3
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 8,792

Rep: Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656
It's in the gamin package. You can use http://packages.slackware.com and change the "mode" dropdown to content to search for files. You can also use slackpkg search libfam to find what packages files are from.

EDIT: e5150 beat me to it with another alternative way to find files
 
Old 10-31-2016, 09:19 AM   #4
intmail01
Member
 
Registered: May 2013
Posts: 91

Original Poster
Rep: Reputation: Disabled
Thanks for all
 
Old 11-01-2016, 07:45 AM   #5
kjhambrick
Senior Member
 
Registered: Jul 2005
Location: Round Rock, TX
Distribution: Slackware64 15.0 + Multilib
Posts: 2,159

Rep: Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512
Quote:
Originally Posted by e5150 View Post
Code:
lars@русалка /opt/repos/slackware64-14.2/slackware64 $ bzgrep -e 'Package:|libfam\.so' MANIFEST.bz2 | grep -B1 libfam.so
||   Package:  ./l/gamin-0.1.10-x86_64-5.txz
-rwxr-xr-x root/root     31576 2012-09-23 13:03 usr/lib64/libfam.so.0.0.0
Very nice command line there e5150 !

Code:
# cd /path/to/slackware64-14.2/slackware64 
# 
# bzgrep -e 'Package:|libfam\.so' MANIFEST.bz2 | grep -B1 libfam.so
Looks like about all one would need for a Slackware `what-provides` command

Thank you

-- kjh( manicured a tad so I could see the `pwd` and the `bzgrep | grep -B1` pipelline )
 
Old 11-01-2016, 08:20 AM   #6
e5150
Member
 
Registered: Oct 2005
Location: Sweden
Distribution: Slackware and Alpine
Posts: 132

Rep: Reputation: 100Reputation: 100
Quote:
Originally Posted by kjhambrick View Post
Very nice command line there e5150 !

Code:
# cd /path/to/slackware64-14.2/slackware64 
# 
# bzgrep -e 'Package:|libfam\.so' MANIFEST.bz2 | grep -B1 libfam.so
Looks like about all one would need for a Slackware `what-provides` command

Thank you

-- kjh( manicured a tad so I could see the `pwd` and the `bzgrep | grep -B1` pipelline )
Well, to generalise it into a script:
Code:
#!/bin/sh
MIRRORDIR=/opt/repos

if [ -f /etc/os-release ];then
        . /etc/os-release
else
        VERSION_ID=`cut -d' ' -f2 /etc/slackware-version`
fi

[ "`arch`" = "x86_64" ] && ARCHSUFFIX=64

MANIFEST=$MIRRORDIR/slackware$ARCHSUFFIX-$VERSION_ID/slackware$ARCHSUFFIX/MANIFEST.bz2
bzgrep -e 'Package:|'"$1" $MANIFEST | grep -B1 "$1"
Happy slacking!
 
1 members found this post helpful.
Old 11-01-2016, 08:56 AM   #7
kjhambrick
Senior Member
 
Registered: Jul 2005
Location: Round Rock, TX
Distribution: Slackware64 15.0 + Multilib
Posts: 2,159

Rep: Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512
nice one e5150 !

Edited MIRRORDIR and added a few lines ( see below )
Saved as /home/local/bin/what-provides && chmod 755 /home/local/bin/what-provides ( /home/local/bin/ is in my PATH and is where I keep my handy goodies )

Tried it out and made a slight mod ( appended an extra `sed` command to sanitize away the Pair-o-Pipe-Symbols and set a full PATH on the Package Name )

Now part of my growing Slackware Bag-o-Tricks

Thanks again !

-- kjh

Code:
#!/bin/sh
#
# from e5150 at LQ:  http://www.linuxquestions.org/questions/slackware-14/missing-libfam-so-4175592571/#post5625605
#
MIRRORDIR="/home/dld/slackware"
FULLPATH=0

[ "$1" = "-p" ] && FULLPATH=1 && shift

[ $# -lt 1 ] && echo "usage:  `basename $0` [ -p ] FileName" >&2 && exit 1

if [ -f /etc/os-release ];then
        . /etc/os-release
else
        VERSION_ID=`cut -d' ' -f2 /etc/slackware-version`
fi

[ "`arch`" = "x86_64" ] && ARCHSUFFIX=64

MANIFEST=$MIRRORDIR/slackware$ARCHSUFFIX-$VERSION_ID/slackware$ARCHSUFFIX/MANIFEST.bz2

bzgrep -e  'Package:|'"$1" $MANIFEST | \
  grep -B1 "$1"                      | \
   sed -e  's/^|| */# /'             | \
   if [ "$FULLPATH" = "1" ]
   then
      sed -e "s# .\/# $MIRRORDIR/slackware$ARCHSUFFIX-$VERSION_ID/slackware$ARCHSUFFIX/#"
   else
      sed -e "s# .\/# #"
   fi

exit ${PIPESTATUS[1]}               # return status of the second grep command
#
# try it out
#
Code:
$ what-provides libfam.so

# Package:  l/gamin-0.1.10-x86_64-5.txz
-rwxr-xr-x root/root     31576 2012-09-23 13:03 usr/lib64/libfam.so.0.0.0
#
# try -p option
#
Code:
$ what-provides -p libfam.so

# Package:  /home/dld/slackware/slackware64-14.2/slackware64/l/gamin-0.1.10-x86_64-5.txz
-rwxr-xr-x root/root     31576 2012-09-23 13:03 usr/lib64/libfam.so.0.0.0

Last edited by kjhambrick; 11-01-2016 at 08:59 AM. Reason: remove unneeded line added `try it out`
 
1 members found this post helpful.
Old 11-01-2016, 09:21 AM   #8
e5150
Member
 
Registered: Oct 2005
Location: Sweden
Distribution: Slackware and Alpine
Posts: 132

Rep: Reputation: 100Reputation: 100
Quote:
Originally Posted by kjhambrick View Post
Code:
#!/bin/sh
[...]
exit ${PIPESTATUS[1]}               # return status of the second grep command
[/code]
PIPESTATUS is a bashism, so for the sake of pedantic correctness, the script ought to be a #!/bin/bash

Quote:
Originally Posted by kjhambrick View Post
Now part of my growing Slackware Bag-o-Tricks
Maybe some of my darkstar-tools might be of interest, the programs are described in their corresponding .txt and in the (mostly rather old) announcement thread.
 
Old 11-01-2016, 01:39 PM   #9
kjhambrick
Senior Member
 
Registered: Jul 2005
Location: Round Rock, TX
Distribution: Slackware64 15.0 + Multilib
Posts: 2,159

Rep: Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512Reputation: 1512
Thanks again e5150 !

Fixed ( sh -> bash ) on my version.

I'll check out the datkstar-tools !

-- kjh
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem compiling Libfam abhihebbar Linux - Software 7 09-06-2008 01:11 PM
libz, libfam, libpng - for distribution kite10linux Linux - Software 2 09-05-2008 12:29 PM
Does libfam library bundles fam daemon with it appas Programming 0 09-07-2004 07:54 AM
Does libfam contain built in fam daemon appas Linux - Software 0 09-07-2004 02:06 AM
libfam.la not found mramgopal Linux - Newbie 5 12-25-2003 05:11 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:47 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration